WebRTC Code Reviews
Help | Chromium Project | Sign in
(14144)

Issue 32749004: Add WebRtcIsacfix_FilterMaLoopNeon's intrinsics version. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 7 months ago by zhongwei.yao
Modified:
4 years, 7 months ago
Reviewers:
jridges, ajm
CC:
webrtc-reviews_webrtc.org, rillian-moz, tterriberry, HL, kwiberg, Tina
Base URL:
https://chromium.googlesource.com/external/webrtc@master
Project:
webrtc
Visibility:
Public.

Description

Add WebRtcIsacfix_FilterMaLoopNeon's intrinsics version. This intrinsics version gives bit-exact result as the current assembly neon code. And the performance is 38% better than current assembly neon version, 5.92 times faster than current C version. The test runs under Cortex-a53 aarch32 mode, other cpu should give similar performance result. BUG=4002 R=andrew@webrtc.org, jridges@masque.com Change-Id: I257e33ef6d634a519fd71adc4f52b06dd655bd9d Committed: https://code.google.com/p/webrtc/source/detail?r=7891

Patch Set 1 #

Total comments: 8

Patch Set 2 : Code style update. #

Total comments: 2

Patch Set 3 : Code style update. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+173 lines, -0 lines) Patch
A webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c View 1 2 1 chunk +173 lines, -0 lines 0 comments Download
Trybot results:
Project "webrtc" does not have a commit queue.

Messages

Total messages: 9 (0 generated)
zhongwei.yao
4 years, 7 months ago (2014-12-10 11:07:07 UTC) #1
ajm
https://webrtc-codereview.appspot.com/32749004/diff/1/webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c File webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c (right): https://webrtc-codereview.appspot.com/32749004/diff/1/webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c#newcode14 webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c:14: #include "settings.h" Full paths. https://webrtc-codereview.appspot.com/32749004/diff/1/webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c#newcode16 webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c:16: // This macro ...
4 years, 7 months ago (2014-12-11 00:41:14 UTC) #2
jridges
Clever use of vqrdmulhq_s32. No doubt that's why this is so much faster than the ...
4 years, 7 months ago (2014-12-11 02:17:28 UTC) #3
zhongwei.yao
https://webrtc-codereview.appspot.com/32749004/diff/1/webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c File webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c (right): https://webrtc-codereview.appspot.com/32749004/diff/1/webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c#newcode16 webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c:16: // This macro is copied from lattice.c, refer more ...
4 years, 7 months ago (2014-12-11 02:42:40 UTC) #4
ajm
https://webrtc-codereview.appspot.com/32749004/diff/1/webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c File webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c (right): https://webrtc-codereview.appspot.com/32749004/diff/1/webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c#newcode16 webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c:16: // This macro is copied from lattice.c, refer more ...
4 years, 7 months ago (2014-12-12 17:54:25 UTC) #5
zhongwei.yao
https://webrtc-codereview.appspot.com/32749004/diff/1/webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c File webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c (right): https://webrtc-codereview.appspot.com/32749004/diff/1/webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c#newcode14 webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c:14: #include "settings.h" On 2014/12/11 00:41:14, ajm wrote: > Full ...
4 years, 7 months ago (2014-12-15 05:56:03 UTC) #6
ajm
lgtm with one change https://webrtc-codereview.appspot.com/32749004/diff/20001/webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c File webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c (right): https://webrtc-codereview.appspot.com/32749004/diff/20001/webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c#newcode165 webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c:165: *ptr2 = ((int32_t)(WEBRTC_SPL_MUL(t16a, tmp32b) + ...
4 years, 7 months ago (2014-12-15 06:06:26 UTC) #7
zhongwei.yao
https://webrtc-codereview.appspot.com/32749004/diff/20001/webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c File webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c (right): https://webrtc-codereview.appspot.com/32749004/diff/20001/webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c#newcode165 webrtc/modules/audio_coding/codecs/isac/fix/source/lattice_neon.c:165: *ptr2 = ((int32_t)(WEBRTC_SPL_MUL(t16a, tmp32b) + \ On 2014/12/15 06:06:26, ...
4 years, 7 months ago (2014-12-15 06:19:57 UTC) #8
ajm
4 years, 7 months ago (2014-12-15 07:23:59 UTC) #9
Message was sent while issue was closed.
Committed patchset #3 (id:40001) manually as 7891 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 245c2c2-tainted